DataCubeControllerPreviewTransform Method |
POST /DataCube/PreviewTransform/{id}
Gets preview data for the specified transform from a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("PreviewTransform")]
public HttpResponseMessage PreviewTransform(
Guid id,
[FromBodyAttribute] PreviewTransformOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("PreviewTransform")>
Public Function PreviewTransform (
id As Guid,
<FromBodyAttribute> options As PreviewTransformOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"PreviewTransform")]
HttpResponseMessage^ PreviewTransform(
Guid id,
[FromBodyAttribute] PreviewTransformOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("PreviewTransform")>]
member PreviewTransform :
id : Guid *
[<FromBodyAttribute>] options : PreviewTransformOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the data cube to preview the transform from. - options
- Type: Dundas.BI.WebApi.ModelsPreviewTransformOptions
The options for the preview. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
DataCellSetData object containing the data for the preview, or a status code indicating the problem.
See Also